#!/bin/sh

uci set network.loopback=interface
uci set network.loopback.ifname=lo
uci set network.loopback.proto=static
uci set network.loopback.ipaddr=127.0.0.1
uci set network.loopback.netmask=255.0.0.0
uci set network.lan=interface
uci set network.lan.proto=static
uci set network.lan.ipaddr=10.130.1.20
uci set network.lan.netmask=255.255.255.0
uci set network.lan.dns=8.8.8.8
uci set network.lan.type=bridge
uci set network.lan.ifname=eth0 wlan0
uci set network.lan.gateway=10.130.1.20
uci set network.lan.broadcast=10.130.1.255

uci set wireless.radio0=wifi-device
uci set wireless.radio0.type=mac80211
uci set wireless.radio0.hwmode=11ng
uci set wireless.radio0.path=platform/ar933x_wmac
uci set wireless.radio0.htmode=HT20
uci set wireless.radio0.ht_capab=SHORT-GI-20
uci set wireless.radio0.channel=1
uci set wireless.radio0.txpower=0
uci set wireless.radio0.country=US

uci set wireless.wifi0=wifi-iface
uci set wireless.wifi0.device=radio0
uci set wireless.wifi0.network=lan
uci set wireless.wifi0.mode=ap
uci set wireless.wifi0.maxassoc=20
uci set wireless.wifi0.ssid=TVWS-Test
uci set wireless.wifi0.encryption=
uci set wireless.wifi0.key=
uci set wireless.wifi0.hidden=0
uci set wireless.wifi0.disabled=0


