#!/bin/sh

# An example, how to set PLL bank 1 divider to 75,000000000
# Prescaler 1 (26 MHz crystal)
# Local Oscillator 1950 MHz
# Output frequency 482 MHz
# Input frequency WiFi channel to 5 (2.432 GHz)


# Configure integer divider ratio (73)                          
# Set Wifi channel to 5 for 482MHz Local oscillator 1950 MHz    
three-wire.sh w 0B 2582        



# Increase mixer current

three-wire.sh w 01 CC58

# Calibration for this specific board -copy from other board!                  
three-wire.sh w 03 1B0F    

# Enable analog side of the RF205x

enable-tvws-LO.sh
sleep 1 
disable-tvws-LO.sh
# Select pll bank 1                                      
select-pll1.sh
sleep 1
enable-tvws-LO.sh

